Correzione: Nexus Mod Manager non è riuscito a ottenere le informazioni sulla versione dal server di aggiornamento

Consigli: Clicca Qui Per Correggere Gli Errori Di Windows E Ottimizzare Le Prestazioni Del Sistema

Nexus Mod Manager è un programma open source associato a Nexus Mods. Il programma è disponibile per Windows e consente agli utenti di scaricare e implementare automaticamente le mod per i loro giochi. Tuttavia, abbastanza recentemente sono stati inviati molti rapporti degli utenti che non sono in grado di recuperare gli aggiornamenti dell'applicazione. L'applicazione visualizza l'errore "Programma di aggiornamento di Nexus Mod Manager: impossibile ottenere informazioni sulla versione dal server di aggiornamento" durante il tentativo di aggiornamento.

Messaggio di errore Aggiornamenti non riusciti.

Che cosa causa l'errore di aggiornamento di Nexus Mod Manager?

Dopo le nostre indagini sulla questione, abbiamo escogitato una serie di soluzioni che hanno risolto l'errore per la maggior parte dei nostri utenti. Inoltre, abbiamo esaminato le cause del problema e alcune delle più comuni sono elencate di seguito.

  • Privilegi amministrativi: in alcuni casi, questo errore può verificarsi a causa di autorizzazioni insufficienti per l'applicazione. Quando il programma di avvio tenta di stabilire un contatto con i server e scrivere sul disco rigido autorizzazioni insufficienti gli impediscono di farlo.
  • Firewall: a volte, il firewall di Windows potrebbe impedire a determinati elementi dell'applicazione di entrare in contatto con i server. Ciò può impedire l'aggiornamento del client, pertanto, causando questo errore.
  • Errore protocollo: nelle versioni precedenti dell'applicazione veniva utilizzato il protocollo HTTP. Tuttavia, nelle versioni più recenti, viene utilizzato il protocollo HTTPs. Il protocollo HTTP è necessario a causa delle recenti leggi approvate in Europa a causa delle quali tutti i siti Web devono utilizzare il protocollo HTTP. Le Mod Nexus sono state anche aggiornate al protocollo HTTPs. Pertanto, le versioni precedenti dell'applicazione non possono più connettersi.
  • Applicazione obsoleta: in alcuni casi, questo errore si verificava anche nelle versioni più recenti dell'applicazione. Pertanto, è stata rilasciata una nuova versione dell'applicazione per correggere questo errore, il sito Web Nexus Mods non ha aggiornato il proprio database con la versione più recente dell'applicazione. L'aggiornamento è tuttavia disponibile sul sito Git Hub.

Ora che hai una conoscenza di base della natura del problema, passeremo alle soluzioni. È importante implementare queste soluzioni nell'ordine specifico in cui sono fornite.

Soluzione 1: concessione dei privilegi di amministratore.

In alcuni casi, questo errore può verificarsi a causa dell'applicazione con autorizzazioni insufficienti. Quando il programma di avvio tenta di stabilire un contatto con i server e scrivere sul disco rigido autorizzazioni insufficienti gli impediscono di farlo. Pertanto, in questo passaggio, daremo i privilegi di amministratore dell'applicazione. Per quello:

  1. Fare clic con il tasto destro sull'eseguibile delle applicazioni .
  2. Seleziona " Proprietà ".
  3. Fare clic sulla scheda " Compatibilità " e selezionare la casella " Esegui come amministratore ".
  4. Prova a eseguire l'applicazione e controlla se il problema persiste.

    Fornire autorizzazioni amministrative.

Soluzione 2: concessione dell'accesso nel firewall.

A volte, il firewall di Windows potrebbe impedire a determinati elementi dell'applicazione di entrare in contatto con i server. Ciò può impedire l'aggiornamento del client, pertanto, causando questo errore. Pertanto, in questo passaggio, garantiremo all'esclusione un'applicazione in Windows Firewall. Per quello:

  1. Fai clic sul menu Start e seleziona l'icona " Impostazioni ".
  2. All'interno delle impostazioni, fai clic sull'opzione " Aggiornamenti e sicurezza ".
  3. Seleziona l'opzione " Sicurezza di Windows " dal riquadro a sinistra.
  4. Fai clic sull'opzione " Protezione firewall e rete ".
  5. Seleziona l'opzione " Consenti un'applicazione tramite firewall ".
  6. Fai clic su " Modifica impostazioni " per concedere le autorizzazioni necessarie .
  7. Consenti " Nexus Mod Manager " e tutte le applicazioni relative a NMM attraverso reti " pubbliche " e " private ".
  8. Fai clic su " OK ", esegui l'applicazione e controlla se il problema persiste.

    Consentire un'applicazione tramite il firewall.

Soluzione 3: aggiornamento dell'applicazione.

Si è verificato un errore con la versione precedente dell'applicazione a causa della quale è stato attivato l'errore. Inoltre, le versioni precedenti dell'applicazione utilizzavano il protocollo HTTP anziché il protocollo HTTPs. Da quando le Mod Nexus hanno aggiornato i loro server per utilizzare il protocollo "HTTPs", le versioni precedenti sono state rese inutili. Pertanto, in questo passaggio, risolviamo entrambi questi problemi aggiornando l'applicazione all'ultima versione.

  1. Disinstalla Nexus Mod Manager .
  2. Fai clic qui per scaricare l' ultima versione dell'applicazione .
  3. Una volta scaricato, installa l'applicazione.

    Installazione dell'applicazione.
  4. Prova a eseguire Nexus Mod Manager e controlla se il problema persiste.

Articoli Interessanti